Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.builder
Class AntJunitTestReportCollector

    java.lang.Object
      com.atlassian.bamboo.builder.AntJunitTestReportCollector

All Implemented Interfaces:
  TestReportCollector

    public class AntJunitTestReportCollector

extends Object
implements TestReportCollector

This class obtains the test results from a directory containing Junit test result file.

Constructor Summary
`AntJunitTestReportCollector(File testResultsFile, AntXmlTestResultsParser parser)`

Method Summary
`void` | `collect()` Collect all the results from all the xml test files.
`List` | `getFailedTestResults()` Get all the unit `TestResults` that have failed.
`int` | `getNumberOfTestFilesProcessed()` How many unit test files have I processed?
`List` | `getSuccessfulTestResults()` Get all the unit `TestResults` that have passed without error.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AntJunitTestReportCollector

    public AntJunitTestReportCollector(File testResultsFile,
                                       AntXmlTestResultsParser parser)

Method Detail

### collect

    public void collect()

  Collect all the results from all the xml test files.

  Specified by:
    `collect` in interface `TestReportCollector`

### getNumberOfTestFilesProcessed

    public int getNumberOfTestFilesProcessed()

  How many unit test files have I processed?

  Specified by:
    `getNumberOfTestFilesProcessed` in interface `TestReportCollector`
  Returns:
    The number of unit test files

### getSuccessfulTestResults

    public List getSuccessfulTestResults()

  Get all the unit `TestResults` that have passed without error.

  Specified by:
    `getSuccessfulTestResults` in interface `TestReportCollector`
  Returns:
    The collection of successful `TestResults`

### getFailedTestResults

    public List getFailedTestResults()

  Get all the unit `TestResults` that have failed.

  Specified by:
    `getFailedTestResults` in interface `TestReportCollector`
  Returns:
    The collection of failed `TestResults`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.